Mạng xã hội:

Tìm kiếm:

TIN TỨC

Hỗ trợ trực tuyến
  • Sửa lỗi khi ecshop chạy trên php 5.3 hoặc 5.4

    ECHULA / 27-12-2012

    Ecshop 2.7.3 chạy trên php 5.3 hoặc php 5.4 trở lên sẽ phát sinh lỗi như sau:

    Strict Standards: Only variables should be passed by reference in /includes\cls_template.php on line 418

    Strict Standards: Non-static method cls_image::gd_version() should not be called statically in /includes/lib_base.php on line 346

    Lỗi ecshop chạy trên php 5.3 hoặc 5.4


    Cách khắc phục:

    1. Edit file /includes\cls_template.php dòng 418

    Tìm đoạn code:

    $tag_sel = array_shift(explode(' ', $tag));

    và thay thế bằng:

    $tag_arr = explode(' ', $tag);
    $tag_sel = array_shift($tag_arr);

    2. Edit file /includes/lib_base.php dòng 346

    Tìm đoạn code:

    return cls_image::gd_version();

    và thay thế bằng:

    $temp= cls_image::gd_version();

    return $temp;

    -----

    Chúc các bạn thành công !


    Tin mới hơn:
    Fix lỗi không hiện khung soạn thảo trong admin của Ecshop
    Fix lỗi không load được ngôn ngữ (languages//common.php)
    Tin cũ hơn:
    Ẩn chữ Power by ecshop chạy lòng vòng ở cuối trang


    Thủ dầu một, Bình Dương

    Tel: 0988 569 505 - 0908250094

    E-mail: nguyenhuy86@gmail.com